POST /interaction/v1/events

Overview

Fires the entry event that initiates the journey. If you use UTF-8 characters in a payload for the Rest API, change the Content-Type header to: application/json; charset=UTF-8.

JSON Parameters

Name Type Description
ContactKey string Required The ID that uniquely identifies a subscriber/contact
EventDefinitionKey string Required Find the EventDefinitionKey in Event Administration after the event is created and saved. This is true for both standard and custom events. Do not include a period in the event definition key.
Data object Properties of the event. Only required if defined in a custom event or by the event.

Usage

Example Request

Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /interaction/v1/events
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
    "ContactKey": "ID601",
    "EventDefinitionKey":"AcmeBank-AccountAccessed",
    "Data": {
        "accountNumber":"123456",
        "patronName":"John Smith" }
}

Example Response

HTTP/1.1 201
{
     "eventInstanceId": "########-####-####-####-############"
}
Last Updated: Jun 8, 2021